#include <testsuite.h>
#include <rbt_assert.h>
#include "wildcard.h"


/****u* Test/Test_RB_Match_1
 * FUNCTION
 *   Test if RB_Match correctly processes combinations of the
 *   wildcard characters '?' and '*'.
 * SOURCE
 */

void Test_RB_Match_1 ( void )
{
    r_ok( RB_Match( "aapjes", "*?" ) );
    r_ok( RB_Match( "aapjes", "?*" ) );
    r_ok( RB_Match( "aapjes", "?a*jes" ) );
    r_ok( RB_Match( "aaaapjes", "?a*jes" ) );
    r_notok( RB_Match( "aaaapjes", "?a*bjes" ) );
    r_notok( RB_Match( "aaaapjes", "?a*jes?" ) );
}

/*****/


/****u* Test/Test_RB_Match_2
 * FUNCTION
 *   Test if RB_Match correctly matches literal strings.
 * SOURCE
 */
void Test_RB_Match_2 ( void )
{
    r_ok(    RB_Match( "test", "test" ) );
    r_notok( RB_Match( "xest", "test" ) );
    r_notok( RB_Match( "tesx", "test" ) );
    r_notok( RB_Match( "txxt", "test" ) );
    r_notok( RB_Match( "testo", "test" ) );
}
/****/


void Create_Wildcard_TestSuite( void )
{
    RBT_TestSuite* suite = RBT_CreateSuite( "WildcardTestSuite" );
    RBT_AddCase( suite, Test_RB_Match_1 );
    RBT_AddCase( suite, Test_RB_Match_2 );
}

