/* $Id: rbt_assert.c,v 1.6 2007/07/03 20:40:42 gumpu Exp $ */

#include <stdio.h>

/****h* librobotester/Assert
 * FUNCTION
 *   This module contains assert function that can be used
 *   to create testcases.
 *
 * TODO
 *   Implement:
 *   * r_is -- assert two interger values are equal
 *   * r_iss -- assert two strings are equal
 *   * r_isf -- assert two floats are equal
 *
 ******
 */

/****if* Assert/RBT_Assert_Func
 * FUNCTION
 *   Assert that an experssion is non-zero.
 *   This function should not be called directly, but the macro
 *   RBT_Assert should be used instead.
 * INPUTS
 *   o line_number -- the line number the assertion is made
 *   o file_name   -- the name of the file in which the assertion is
 *                    made.
 *   o experssion  -- the expression as an ascii string.
 *   o value       -- the value of the expression.
 * SOURCE
 */
void RBT_Assert_Func( int line_number, char* file_name, char* expression, long value )
{
    if ( value )
    {
        printf( "OK: %s\n", expression );
    }
    else
    {
        printf( "FAIL: %s(%d) %s\n", file_name, line_number, expression );
    }
}

/****/

