#ifndef RBT_ASSERT_H
#define RBT_ASSERT_H

/* $Id: rbt_assert.h,v 1.6 2007/07/03 20:40:43 gumpu Exp $ */

void RBT_Assert_Func( int line_number, char* file_name, char* expression, long value );

/****f* Assert/r_ok
 * FUNCTION
 *   Assert that an expression has a non-zero value.  You use this
 *   function to write your testcases.  This function is a macro that
 *   points to RBT_Assert_Func().
 * INPUTS
 *   o expression -- the expression to test
 * SOURCE
 */

#define r_ok( expression ) RBT_Assert_Func( __LINE__, __FILE__, #expression, expression )

/****/

/****f* Assert/r_notok
 * FUNCTION
 *   Assert that an expression has a zero value.  You use this
 *   function to write your testcases.  This function is a macro that
 *   points to RBT_Assert_Func().
 * INPUTS
 *   o expression -- the expression to test
 * SOURCE
 */

#define r_notok( expression ) RBT_Assert_Func( __LINE__, __FILE__, #expression, !expression )

/****/

#endif /* RBT_ASSERT_H */
